ExcludeArch: s390 s390x

%define gnome-pilot-version 2.0.12

Summary: Additional conduits for gnome-pilot
Name: gnome-pilot-conduits
Version: 2.0.12
Release: 3
License: LGPL
Group: Applications/Communications
Source: ftp://ftp.gnome.org/pub/gnome/sources/%{name}/2.0/%{name}-%{version}.tar.bz2
Patch0: gnome-pilot-conduits-2.0.10-lib64.patch
Patch1: gnome-pilot-conduits-2.0.12-fix_warnings.patch
BuildRoot: %{_tmppath}/%{name}-%{version}
Prereq: /sbin/install-info
Requires: gnome-pilot >= %{gnome-pilot-version}
BuildRequires: gnome-pilot-devel >= %{gnome-pilot-version}

%description
gnome-pilot is a collection of programs and daemon for integrating
GNOME and the PalmPilot<tm>.

This is a collection of additional conduits for gnome-pilot, it
currently features
 - MAL conduit
 - Time synchronization conduit
 - Email conduit
 - Expense conduit
 - Memo file conduit


%prep
%setup -q
%patch0 -p1 -b .lib64
%patch1 -p1 -b .fix_warnings

%build
%configure
export tagname=CC
make LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
%makeinstall LIBTOOL=/usr/bin/libtool

rm -f $RPM_BUILD_ROOT/%{_libdir}/gnome-pilot/conduits/*.{la,a}
rm -f $RPM_BUILD_ROOT/%{_datadir}/pixmaps/avantgo.png

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_datadir}/gnome-pilot/conduits/*.conduit
%{_libdir}/gnome-pilot/conduits/*.so

%changelog
* Tue Sep 21 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.12-3
- added fix for compile-time warnings (bugzilla 114282)

* Mon Sep 20 2004 David Malcolm <dmalcolm@redhat.com>
- rebuilt

* Wed Sep 15 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.12-1
- update upstream tarball and dependency on gnome-pilot from 2.0.11 to 2.0.12 

* Fri Aug 27 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.11-1
- update upstream tarball from 2.0.10 to 2.0.11
- added more detailed version requirements on gnome-pilot/gnome-pilot-devel as imposed by the configuration script, version 2.0.11 is now required, rather than just 2.0

* Thu Aug 19 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.10-4
- Added patch by Justin M. Forbes <64bit_fedora@comcast.net> for proper libdir in .conduit files (#121268)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jul 17 2003 Jeremy Katz <katzj@redhat.com> 2.0.10-1
- 2.0.10

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 19 2003 Jeremy Katz <katzj@redhat.com> 2.0.9-1
- Initial build for Red Hat Linux, clean up the spec file

* Sun Mar 5 2000 Eskil Heyn Olsen <deity@eskil.dk>
- redid the package from mal-conduit to gnome-pilot-conduits

* Sun Dec 5 1999 Eskil Heyn Olsen <deity@eskil.dk>
- Created the .spec file
